For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DonorAtlasDashboard
  • Getting Started
    • Welcome
    • Authentication
    • Quickstart
  • Guides
    • Donor Profile Schema
    • Network
    • Credits & Billing
    • Error Handling
  • API Reference
      • POSTSubmit person records for enhancement
      • POSTGet progress for multiple enhancements
      • GETGet enhancement progress
      • POSTGet enhancement results
LogoLogo
DonorAtlasDashboard
API ReferenceEnhance

Get enhancement progress

GET
https://api.donoratlas.com/v1/partners/enhancements/:enhancement_id/progress
GET
/v1/partners/enhancements/:enhancement_id/progress
$curl https://api.donoratlas.com/v1/partners/enhancements/enhancement_id/progress \
> -H "x-api-key: <apiKey>"
1{
2 "enhancement_state": {
3 "progress": {
4 "status": "processing",
5 "percent_complete": 75
6 }
7 }
8}

Get the progress for a single enhancement. Returns an equivalent enhancement state as is found from the multi-enhancement /enhancements/progress/batch route.

Was this page helpful?
Previous

Get enhancement results

Next
Built with

Authentication

x-api-keystring

Your DonorAtlas API key. Contact support@donoratlas.com to get started.

Path parameters

enhancement_idstringRequired1-100 characters
Enhancement ID

Response

Successful Response
enhancement_stateobject

Errors

422
Unprocessable Entity Error